import { jsx } from "react/jsx-runtime";
import { TokenNMX as TokenNMX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNMX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NMX", "data-name": "TokenNMX", ...props, children: /* @__PURE__ */ jsx(TokenNMX$1, { variant }) });
  }
);
TokenNMX.displayName = "TokenNMX";
Object.assign(TokenNMX, { isGdsIcon: true });
export {
  TokenNMX
};
